# Class ConfigPumpItem

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a configuration item related to a pump, encapsulating its settings or state data.

    public class ConfigPumpItem

Inheritance
  object
  ConfigPumpItem

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AlarmType

    public PumpEnum.AlarmType? AlarmType { get; set; }

#### Property Value

PumpEnum.AlarmType?

### RetentionPolicy

    public RetentionPolicy? RetentionPolicy { get; set; }

#### Property Value

RetentionPolicy?

### RetentionPolicyValue

    public int? RetentionPolicyValue { get; set; }

#### Property Value

int?

### Type

    public PumpEnum.PumpMessageType? Type { get; set; }

#### Property Value

PumpEnum.PumpMessageType?

### UiConfiguration

    public Dictionary<string, object>? UiConfiguration { get; set; }

#### Property Value

Dictionary<string, object>